Google Web Toolkit
Search Google Code:

# Interface Collection

public interface Collection
// Extended by `Set`, `List`
// Implemented by `AbstractCollection`
General-purpose interface for storing collections of objects.

## Methods

add(Object) |
addAll(Collection) |
clear() |
contains(Object) |
containsAll(Collection) |
equals(Object) |
hashCode() |
isEmpty() |
iterator() |
remove(Object) |
removeAll(Collection) |
retainAll(Collection) |
size() |
toArray() |
toArray(Object[]) |